# std::basic_ios::good

From cppreference.com
< cpp‎ | io‎ | basic ios

bool good() const; |  |

Returns true if the the most recent I/O operation on the stream completed successfully. Specifically, returns result of rdstate() == 0.

See `ios_base::iostate` for the list of conditions that set the stream status bits.

### Parameters

(none)

### Return value

true if the stream has no errors occurred, false otherwise.

### Example

| This section is incomplete Reason: no example

### See also

The following table shows the value of `basic_ios` accessors (`good()`, `fail()`, etc.) for all possible combinations of `ios_base::iostate` flags:

`ios_base::iostate` flags | `basic_ios` accessors
eofbit | failbit | badbit | `good()` | `fail()` | `bad()` | `eof()` | `operator bool` | `operator!`
false | false | false | true | false | false | false | true | false
false | false | true | false | true | true | false | false | true
false | true | false | false | true | false | false | false | true
false | true | true | false | true | true | false | false | true
true | false | false | false | false | false | true | true | false
true | false | true | false | true | true | true | false | true
true | true | false | false | true | false | true | false | true
true | true | true | false | true | true | true | false | true

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_ios/good&oldid=63874"
Category:

- Todo no example